/*-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-prover-1.0.0                                                                            -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2019 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

package com.demtechgroup.chvote.chport.service.model;

import com.google.common.collect.ImmutableList;
import java.math.BigInteger;
import java.util.List;

/**
 * Model class for a decryption proof such as those generated by algorithm 5.50
 */
public final class DecryptionProof {
  private final List<BigInteger> t;
  private final BigInteger       s;

  public DecryptionProof(List<BigInteger> t, BigInteger s) {
    this.t = ImmutableList.copyOf(t);
    this.s = s;
  }

  public List<BigInteger> getT() {
    return ImmutableList.copyOf(t);
  }

  public BigInteger getS() {
    return s;
  }

//    @Override
//    public boolean equals(Object o) {
//        if (this == o) return true;
//        if (o == null || getClass() != o.getClass()) return false;
//        DecryptionProof that = (DecryptionProof) o;
//        return Objects.equals(t, that.t) &&
//                Objects.equals(s, that.s);
//    }
//
//    @Override
//    public int hashCode() {
//        return Objects.hash(t, s);
//    }
}
